# $Revision: 1.282.2.5 $, $Date: 2008/07/22 22:38:17 $
#
# Conditional build:
%bcond_with	uClibc	# don't build few utilities
%bcond_without	selinux # build without SELinux support
#
# TODO:
# - move raw to /sbin (potentially can be used before mount partitions)??
# - move logger to separate package (to avoid conflicts with inetutils)

Summary:	Collection of basic system utilities for Linux
Summary(de):	Sammlung von grundlegenden Systemdienstprogrammen fr Linux
Summary(es):	Colectnea de utilitarios bsicos de sistema para Linux
Summary(fr):	Ensemble d'utilitaires systme de base pour Linux
Summary(pl):	Zbir podstawowych narzdzi systemowych dla Linuksa
Summary(pt_BR):	Coletnea de utilitrios bsicos de sistema para Linux
Summary(ru):	     Linux
Summary(tr):	Temel sistem aralar
Summary(uk):	¦   ̦  Linux
Name:		util-linux
Version:	2.12r
Release:	10
License:	distributable
Group:		Applications/System
# devel versions at ftp://ftp.kernel.org/pub/linux/utils/util-linux/testing
Source0:	ftp://ftp.kernel.org/pub/linux/utils/util-linux/%{name}-%{version}.tar.gz
# Source0-md5:	c261230b27fc0fbcc287c76884caf2d3
#Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	81bbcc9a820512ecde87a8f31de0b745
Source2:	login.pamd
Source3:	rawdevices.init
Source4:	rawdevices.sysconfig
Source5:	%{name}-blockdev.init
Source6:	%{name}-blockdev.sysconfig
Patch0:		%{name}-MCONFIG.patch
Patch1:		%{name}-fdisk.patch
Patch2:		%{name}-utmpx.patch
Patch3:		%{name}-fhs.patch
Patch4:		%{name}-login.patch
Patch5:		%{name}-info.patch
# from ftp://ftp.linuxnfs.sourceforge.org/pub/nfs/ :
Patch6:		%{name}-2.10m-mount-compat.patch
Patch7:		%{name}-syscall.patch
Patch8:		%{name}-raw.patch
Patch9:		%{name}-gecos.patch
Patch10:	%{name}-glibc.patch
Patch11:	%{name}-posixsh.patch
Patch12:	%{name}-ppc-hwclock.patch
Patch13:	%{name}-no_multiline.patch
Patch14:	%{name}-amd64.patch
Patch15:	%{name}-dm_crypt.patch
Patch16:	%{name}-blk.patch
Patch17:	%{name}-managed.patch
Patch18:	%{name}-page.patch
Patch19:	%{name}-gcc4.patch
# from http://www.citi.umich.edu/projects/nfsv4/linux/util-linux-patches/2.12-3/ :
Patch20:	%{name}-2.12-01-nfs.dif
Patch21:	%{name}-2.12-02-base-nfsv4.dif
Patch22:	%{name}-2.12-03-krb5.dif
Patch23:	%{name}-2.12-04-modify_mount_to_support_multiple_security_flavors.dif
Patch24:	%{name}-2.12-05-mount_sloppy_fix.dif
Patch25:	%{name}-2.12-06-redhat-nfs-mount.dif
Patch26:	%{name}-2.12q-update-mtab-when-moving.patch
Patch27:	%{name}-2.12q-use-update_mtab-for-fake.patch
Patch28:	%{name}-2.12q-more-fake-checks-v2.patch
Patch29:	%{name}-2.12q-update_mtab-fixes.patch
Patch30:	%{name}-as_needed-fix.patch
Patch31:	%{name}-CVE-2007-5191.patch
Patch32:	%{name}-lseek.patch
Patch33:	%{name}-umount-sparc.patch
BuildRequires:	cryptsetup-devel
BuildRequires:	gettext-devel
BuildRequires:	libselinux-devel
%{!?with_uClibc:BuildRequires:	ncurses-devel >= 5.0}
%{!?with_uClibc:BuildRequires:	pam-devel >= 0.79.0}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
%{!?with_uClibc:BuildRequires:	zlib-devel}
Provides:	fdisk
%{!?with_uClibc:Requires:	pam >= 0.79.0}
Obsoletes:	cramfs
Obsoletes:	util-linux-suids
Conflicts:	shadow-extras < 1:4.0.3-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags	-O1 -g

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system. This includes, among other
things, configuration tools such as fdisk and system programs such as
logger.

%description -l de
util-linux enthlt eine groe Anzahl an
low-level-Systemdienstprogrammen, die fr ein funktionierendes
Linux-System erforderlich sind. Dazu gehren Konfigurationstools wie
'fdisk' und Systemprogramme wie 'logger'.

%description -l es
util-linux contiene una gran variedad de utilitarios de sistema de
bajo nivel necesarios a un sistema Linux funcional. Esto incluye,
entre otras cosas, herramientas de configuracin como fdisk y
programas de sistema como login.

%description -l fr
util-linux contient une grande varit d'utilitaire systme bas niveau
ncessaires au fonctionnement d'un systme Linux. Cela comprend, entre
autres, les outils de configuration comme fdisk et des programmes
systmes comme logger.

%description -l pl
util-linux zawiera wiele rnych, niskopoziomowych narzdzi
systemowych niezbdnych do prawidowego dziaania Linuksa. W pakiecie
znajduj si midzy innymi narzdzia konfiguracyjne, takie jak fdisk i
programy systemowe, takie jak logger.

%description -l pt_BR
util-linux contm uma grande variedade de utilitrios de sistema de
baixo-nvel necessrios para um sistema Linux funcional. Isso inclui,
entre outras coisas, ferramentas de configurao como fdisk e
programas de sistema como login.

%description -l ru
        ,
     Linux.  , 
 ,  ,   fdisk,  
,   login.

%description -l tr
levsel durumdaki bir Linux sistemi iin gerekli birok alt dzey
sistem aralarn ierir. Bunlar arasnda fdisk gibi yaplandrma
uygulamalar ve logger gibi sistem programlar saylabilir.

%description -l uk
  ͦ  ¦  ̦  Ҧ, ˦
ȦΦ  æ  Linux.  ͦ, Ҧ ,
ƦæΦ  (˦  fdisk)  Φ  (˦
 login).

%package -n blockdev
Summary:	Support for blockdev
Summary(pl):	Obsuga blockdev
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	coreutils
Requires:	rc-scripts
#Requires:	uname(release) >= 2.6

%description -n blockdev
The utility blockdev allows one to call block device ioctls from the
command line. This package also includes initscript to set blockdev
parameters at system startup.

%description -n blockdev -l pl
Narzdzie blockdev pozwala na wywoania ioctl dla urzdze blokowych z
linii polece. Ten pakiet zawiera take skrypt inicjalizacyjny do
ustawiania parametrw blockdev przy starcie systemu.

%package -n losetup
Summary:	Programs for setting up and configuring loopback devices
Summary(de):	Programme zum Einrichten und Konfigurieren von Loopback-Gerten
Summary(fr):	Programmes pour mettre en place et configurer les loopback
Summary(pl):	Program do konfiguracji urzdzenia blokowego loopback
Summary(ru):	   loopback-
Summary(tr):	Yerel-evrim aygtlarnn kurulmas ve ayarlanmas iin programlar
Summary(uk):	  Ʀæ loopback-ϧ
Group:		Applications/System

%description -n losetup
Linux supports a special block device called the loopback device,
which maps a normal file onto a virtual block device. This package
contains programs for setting up and removing the mapping between
files and loopback devices.

Block loopback devices should not be confused with the networking
loopback device, which is configured with the normal ifconfig command.

%description -n losetup -l de
Linux untersttzt ein spezielles Blockgert, das sogenannte Loopback,
das eine normale Datei auf ein virtuelles Blockgert abbildet. Das
Paket enthlt Programme zum Einrichten und Entfernen der Zuordnung
zwischen Dateien und Loopback-Gerten.

%description -n losetup -l fr
Linux gre un priphrique bloc spcial appel  loopback , qui
correspond  un fichier normal sur un priphrique bloc virtuel. Ce
paquetage contient les programmes pour configurer et supprimer la
correspondance entre les fichiers et les priphriques loopback.

Les priphriques bloc loopback ne doivent pas tre confondus avec le
priphrique loopback du rseau, configur avec la commande ifconfig
normale.

%description -n losetup -l pl
Linux wspiera specjalne urzdzenie blokowe loopback, ktre mapuje
normalny plik w wirtualne urzdzenie blokowe. Pakiet ten zawiera
program, przy pomocy ktrego bdziesz mg je skonfigurowa.

Urzdzenie blokowe loopback nie powinno by mylone z sieciowym
interfejsem loopback, ktry jest konfigurowany przy pomocy polecenia
ifconfig.

%description -n losetup -l ru
Linux    , 
loopback,       
.       
. Losetup    loopback-  
   ,   loopback-
   .

%description -n losetup -l tr
Linux zel bir blok aygt olan yerel-evrim aygtn (loopback device)
destekler. Bu aygt normal bir dosyann sanal bir blok aygt zerine
haritasn karr. Bu paket, dosyalar ve yerel-evrim aygtlar
arasndaki haritalama ileminin kurulmas ve kaldrlmas iin
programlar ierir. Blok yerel-evrim aygt ifconfig komutu ile
yaplandrlan a yerel-evrim aygt ile kartrlmamaldr.

%description -n losetup -l uk
Linux Цդ æ  Ҧ, loopback, 
צդ    צ  Ҧ.  Ѥ
   צ  . Losetup
  ' loopback-ϧ ڦ  
  ,  צ' loopback-ϧ 
Ӧ  .

%package -n mount
Summary:	Programs for mounting and unmounting filesystems
Summary(de):	Programme zum montieren und abmontieren von Dateisystemen
Summary(fr):	Programme pour monter et dmonter des systmes de fichiers
Summary(pl):	Programy do montowania i odmontowywania systemw plikw
Summary(ru):	      
Summary(tr):	Dosya sistemlerini balamak ve zmek iin programlar
Summary(uk):	      
Group:		Applications/System
Requires:	cryptsetup >= 0.2-1.pre1.4
Requires:	libgcrypt >= 1.2.0-6
Requires:	libgpg-error >= 1.0-4

%description -n mount
mount is used for adding new filesystems, both local and networked, to
your current directory structure. The filesystems must already exist
for this to work. It can also be used to change the access types the
kernel uses for already-mounted filesystems.

This package is critical for the functionality of your system.

%description -n mount -l de
mount wird zum Hinzufgen neuer Dateisysteme (lokal und im Netzwerk)
zu Ihrer aktuellen Verzeichnisstruktur verwendet. Die Dateisysteme
mssen bereits existieren. Auerdem knnen die Zugriffstypen gendert
werden, die der Kernel fr bereits montierte Dateisysteme verwendet.

Dieses Paket ist fr Ihr System unbedingt erforderlich.

%description -n mount -l fr
mount sert  ajouter de nouveaux systmes de fichiers, locaux ou
rseaux,  votre structure de rpertoire. Les systmes de fichiers
doivent dj exister pour que cela fonctionne. Il peut aussi servir 
changer les types d'accs pour les systmes de fichiers dj monts.

Ce paquetage est critique pour le fonctionnement de votre systme.

%description -n mount -l pl
Program mount jest uywany przez system do montowania systemw plikw,
zarwno lokalnych jak i sieciowych (np. NFS).

Pakiet ten jest niezbdny do prawidowej pracy twojego Linuksa.

%description -n mount -l ru
 mount   mount, umount, swapon  swapoff. 
         
.        .
 mount       
   .  umount  
  . Swapon  swapoff, ,  
      .

%description -n mount -l tr
mount, hem yerel hem de a dosya sistemlerinin dizin yapsna
eklenmesi iin kullanlr. Bunun iin balanacak dosya sisteminin
nceden hazrlanm olmas gerekir. Ayn zamanda ekirdein balanm
dosya sistemlerine eriimini deitirmek iin de kullanlr. Bu paket
sisteminizin ilevsellii asndan kritiktir.

%description -n mount -l uk
 mount ͦ  mount, umount, swapon  swapoff.  
ۦ ͦ ΦΦ  Ħ    
Ȧ.     Φ  Ҧ .
 mount Ц'դ     ϧ  
̦ ϧ .  umount צ'դ   צ
. Swapon  swapoff, צצ, Ѥ   Ц 
Φ   ϧ.

%package chkdupexe
Summary:	chkdupexe - find duplicate executables
Summary(pl):	chkdupexe odszukuje powtarzajce si pliki uruchamialne
Group:		Applications/System

%description chkdupexe
chkdupexe will scan the union of $PATH and a hardcoded list of common
locations for binaries. It will report dangling symlinks and
duplicately-named binaries.

%description chkdupexe -l pl
chkdupexe przeszukuje katalogi z $PATH oraz inne powszechnie znane
katalogi z plikami uruchamialnymi i informuje o powtarzajcych si
plikach w rnych katalogach.

%package -n tunelp
Summary:	Configures kernel parallel port driver
Summary(de):	Konfiguriert den Kerneltreiber fr den parallelen Port
Summary(fr):	Configure le pilote du port parallle dans le noyau
Summary(pl):	Program do konfigurowania sterownika portu rwnolegego
Summary(tr):	ekirdein paralel balant noktas srcsn ayarlar
Group:		Applications/System

%description -n tunelp
tunelp aids in configuring the kernel parallel port driver.

%description -n tunelp -l de
tunelp hilft bei der Konfiguration des Kernel-Parallelport-Treibers.

%description -n tunelp -l fr
 tunelp  aide  configurer le pilote du noyau pour le port
parallle.

%description -n tunelp -l pl
Program do konfigurowania sterownika portu rwnolegego.

%description -n tunelp -l tr
Paralel balant noktas srcsn ayarlar.

%package -n login
Summary:	login is used when signing onto a system
Summary(pl):	login jest uywany do rozpoczcia pracy w systemie
Group:		Applications/System
Requires:	pam >= 0.77.3
Obsoletes:	heimdal-login

%description -n login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however).

%description -n login -l pl
login jest uywany do rozpoczcia pracy w systemie. Moe by uywany
do przeczania z jednego uytkownika na innego w kadym momencie
(jednak wikszo nowoczesnych powok ma takie funkcje wbudowane).

%package -n agetty
Summary:	Alternative Linux getty
Summary(pl):	Alternatywny getty
Group:		Applications/System
Requires:	login

%description -n agetty
agetty is simple Linux getty with serial support.

%description -n agetty -l pl
agetty jest prostym linuksowym getty z obsug portu szeregowego.

%package -n rawdevices
Summary:	Support for raw-devices
Summary(pl):	Obsuga raw-device'w
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description -n rawdevices
Support for raw-devices.

%description -n rawdevices -l pl
Obsuga raw-device'w.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p0
%patch27 -p1
%patch28 -p0
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1

%build
CC="%{__cc}"
LDFLAGS="%{rpmldflags}"
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
export CC CFLAGS LDFLAGS
# using %%configure2_13 isn't very wise here, it is not autoconf generated
# configure and it doesn't take any parameters
./configure

%{?with_uClibc:echo 'char *nl_langinfo (nl_item x){return "";}' >> misc-utils/cal.c}
%{__make} \
	OPT="%{rpmcflags}" \
	MOREHELPDIR=%{_datadir}/misc \
	%{!?with_uClibc:ADD_RAW="yes"} \
	%{?with_uClibc:HAVE_RAW_H="no" HAVE_PAM="no"} \
	%{!?with_selinux:HAVE_SELINUX="no"}

%ifarch ppc
%{__cc} %{rpmcflags} %{rpmldflags} clock-ppc.c -o clock-ppc
%endif

cd sys-utils
makeinfo ipc.texi

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/bin,/sbin,/etc/{pam.d,logrotate,rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_infodir},%{_datadir}/misc} \
	$RPM_BUILD_ROOT{%{_examplesdir},%{_mandir}/man{1,5,6,8}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLSUID="install -m 755" \
	MOREHELPDIR=$RPM_BUILD_ROOT%{_datadir}/misc \
	GETOPTDIR=$RPM_BUILD_ROOT%{_examplesdir}/getopt \
	USRGAMESDIR=$RPM_BUILD_ROOT%{_bindir} \
	USE_TTY_GROUP=no \
	%{!?with_uClibc:ADD_RAW="yes"} \
	%{?with_uClibc:HAVE_RAW_H="no" HAVE_PAM="no"}

install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/login
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/rawdevices
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rawdevices
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/blockdev
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/blockdev

install -d $RPM_BUILD_ROOT{/etc/security,/var/lock}

> $RPM_BUILD_ROOT/etc/security/blacklist.login

:> $RPM_BUILD_ROOT/var/lock/wtmpxlock

%ifarch ppc
mv -f $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/hwclock.rtc
install clock-ppc $RPM_BUILD_ROOT/sbin/hwclock.adb
#yneed fix:
# hwclock.adb is for PowerMac (default)
# hwclock.rtc is for RS/6000 (PreP,CHRP)
ln -sf hwclock.adb $RPM_BUILD_ROOT/sbin/hwclock
%endif

ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
echo '.so hwclock.8' > $RPM_BUILD_ROOT%{_mandir}/man8/clock.8

ln -sf swapon $RPM_BUILD_ROOT/sbin/swapoff

for d in cs de es fi fr hu id it ja ko nl pl ; do
	for m in man1 man5 man8 ; do
		if [ -d man/$d/$m ]; then
			install -d $RPM_BUILD_ROOT%{_mandir}/$d/$m
			install man/$d/$m/* $RPM_BUILD_ROOT%{_mandir}/$d/$m
		fi
	done
done

# cleanup, remove files not included in package
rm -f $RPM_BUILD_ROOT%{_bindir}/{chfn,chsh,newgrp} \
	$RPM_BUILD_ROOT%{_sbindir}/{vifr,vipw} \
	$RPM_BUILD_ROOT%{_mandir}/man1/{chfn,chsh,newgrp,sg}.1 \
	$RPM_BUILD_ROOT%{_mandir}/man8/{sln,vigr,vipw}.8 \
	$RPM_BUILD_ROOT%{_mandir}/*/man1/{chfn,chsh,clear,last,mesg,newgrp,od,passwd,reset,sg,wall}.1 \
	$RPM_BUILD_ROOT%{_mandir}/*/man8/{display-services,fast*,halt,initctl,need,provide,reboot,shutdown,simpleinit,sln,vigr,vipw}.8
%ifnarch %{ix86}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/{ramsize,rdev,rootflags,vidmode}.8
%endif
%ifarch sparc sparc64
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/{cfdisk,sfdisk}.8
%endif

%{!?with_uClibc:%find_lang %{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post -n blockdev
/sbin/chkconfig --add blockdev
%service blockdev restart

%preun -n blockdev
if [ "$1" = "0" ]; then
	%service blockdev stop
	/sbin/chkconfig --del blockdev
fi

%post -n rawdevices
/sbin/chkconfig --add rawdevices
%service rawdevices restart

%preun -n rawdevices
if [ "$1" = "0" ]; then
	%service rawdevices stop
	/sbin/chkconfig --del rawdevices
fi

%files %{!?with_uClibc:-f %{name}.lang}
%defattr(644,root,root,755)
%doc */README.* text-utils/LICENSE.pg

%attr(755,root,root) /sbin/clock
%ifarch ppc
%attr(755,root,root) %config(noreplace) %verify(not link) /sbin/hwclock
%attr(755,root,root) /sbin/hwclock.adb
%attr(755,root,root) /sbin/hwclock.rtc
%else
%attr(755,root,root) /sbin/hwclock*
%endif

%{_mandir}/man8/clock.8*
%{_mandir}/man8/hwclock.8*
%lang(es) %{_mandir}/es/man8/clock.8*
%lang(es) %{_mandir}/es/man8/hwclock.8*
%lang(ja) %{_mandir}/ja/man8/clock.8*
%lang(ja) %{_mandir}/ja/man8/hwclock.8*

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fdprm

%attr(755,root,root) /bin/arch
%attr(755,root,root) /bin/dmesg
%attr(755,root,root) /bin/kill
%{!?with_uClibc:%attr(755,root,root) /bin/more}
%attr(755,root,root) /sbin/mkfs
%attr(755,root,root) /sbin/mkswap
%attr(755,root,root) /sbin/ctrlaltdel
%attr(755,root,root) /sbin/elvtune
%attr(755,root,root) %{_bindir}/cal
%attr(755,root,root) %{_bindir}/col
%attr(755,root,root) %{_bindir}/colcrt
%attr(755,root,root) %{_bindir}/colrm
%attr(755,root,root) %{_bindir}/column
%attr(755,root,root) %{_bindir}/ddate
%attr(755,root,root) %{_bindir}/fdformat
%attr(755,root,root) %{_bindir}/flock
%attr(755,root,root) %{_bindir}/getopt
%attr(755,root,root) %{_bindir}/hexdump
%attr(755,root,root) %{_bindir}/ipcrm
%attr(755,root,root) %{_bindir}/ipcs
%attr(755,root,root) %{_bindir}/isosize
%attr(755,root,root) %{_bindir}/line
%attr(755,root,root) %{_bindir}/logger
%attr(755,root,root) %{_bindir}/look
%attr(755,root,root) %{_bindir}/mcookie
%attr(755,root,root) %{_bindir}/namei
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/pg}
%attr(755,root,root) %{_bindir}/renice
%attr(755,root,root) %{_bindir}/rev
%attr(755,root,root) %{_bindir}/script
%attr(755,root,root) %{_bindir}/setsid
%attr(755,root,root) %{_bindir}/setfdprm
%attr(755,root,root) %{_bindir}/rename
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/setterm}
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/ul}
%attr(755,root,root) %{_bindir}/whereis
%attr(2755,root,tty) %{_bindir}/write
%attr(755,root,root) %{_bindir}/tailf
%attr(755,root,root) %{_sbindir}/readprofile

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/line.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{!?with_uClibc:%{_mandir}/man1/more.1*}
%{_mandir}/man1/namei.1*
%{!?with_uClibc:%{_mandir}/man1/pg.1*}
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/script.1*
%{!?with_uClibc:%{_mandir}/man1/setterm.1*}
%{!?with_uClibc:%{_mandir}/man1/ul.1*}
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/tailf.1*

%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/cytune.8*
%{_mandir}/man8/dmesg.8*
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/ipcrm.8*
%{_mandir}/man8/ipcs.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/renice.8*
%{_mandir}/man8/setfdprm.8*
%{_mandir}/man8/setsid.8*

%lang(cs) %{_mandir}/cs/man1/write.1*

%lang(de) %{_mandir}/de/man1/kill.1*
%lang(de) %{_mandir}/de/man1/more.1*
%lang(de) %{_mandir}/de/man1/write.1*

%lang(de) %{_mandir}/de/man8/fdformat.8*

%lang(es) %{_mandir}/es/man1/arch.1*
%lang(es) %{_mandir}/es/man1/colrm.1*
%lang(es) %{_mandir}/es/man1/column.1*
%lang(es) %{_mandir}/es/man1/ddate.1*
%lang(es) %{_mandir}/es/man1/getopt.1*
%lang(es) %{_mandir}/es/man1/look.1*
%lang(es) %{_mandir}/es/man1/more.1*
%lang(es) %{_mandir}/es/man1/namei.1*
%lang(es) %{_mandir}/es/man1/readprofile.1*
%lang(es) %{_mandir}/es/man1/rev.1*
%lang(es) %{_mandir}/es/man1/script.1*
%lang(es) %{_mandir}/es/man1/setterm.1*
%lang(es) %{_mandir}/es/man1/ul.1*
%lang(es) %{_mandir}/es/man1/whereis.1*
%lang(es) %{_mandir}/es/man1/write.1*

%lang(es) %{_mandir}/es/man8/cytune.8*
%lang(es) %{_mandir}/es/man8/ctrlaltdel.8*
%lang(es) %{_mandir}/es/man8/ipcrm.8*
%lang(es) %{_mandir}/es/man8/ipcs.8*
%lang(es) %{_mandir}/es/man8/mkswap.8*
%lang(es) %{_mandir}/es/man8/renice.8*
%lang(es) %{_mandir}/es/man8/setfdprm.8*
%lang(es) %{_mandir}/es/man8/setsid.8*

%lang(fi) %{_mandir}/fi/man1/arch.1*
%lang(fi) %{_mandir}/fi/man1/cal.1*
%lang(fi) %{_mandir}/fi/man1/column.1*
%lang(fi) %{_mandir}/fi/man1/kill.1*
%lang(fi) %{_mandir}/fi/man1/more.1*
%lang(fi) %{_mandir}/fi/man1/whereis.1*
%lang(fi) %{_mandir}/fi/man1/write.1*

%lang(fr) %{_mandir}/fr/man1/arch.1*
%lang(fr) %{_mandir}/fr/man1/cal.1*
%lang(fr) %{_mandir}/fr/man1/col.1*
%lang(fr) %{_mandir}/fr/man1/kill.1*
%lang(fr) %{_mandir}/fr/man1/more.1*
%lang(fr) %{_mandir}/fr/man1/rev.1*
%lang(fr) %{_mandir}/fr/man1/whereis.1*
%lang(fr) %{_mandir}/fr/man1/write.1*

%lang(fr) %{_mandir}/fr/man8/ctrlaltdel.8*
%lang(fr) %{_mandir}/fr/man8/dmesg.8*
%lang(fr) %{_mandir}/fr/man8/fdformat.8*
%lang(fr) %{_mandir}/fr/man8/ipcrm.8*
%lang(fr) %{_mandir}/fr/man8/ipcs.8*
%lang(fr) %{_mandir}/fr/man8/setsid.8*

%lang(hu) %{_mandir}/hu/man1/arch.1*
%lang(hu) %{_mandir}/hu/man1/cal.1*
%lang(hu) %{_mandir}/hu/man1/colrm.1*
%lang(hu) %{_mandir}/hu/man1/hexdump.1*
%lang(hu) %{_mandir}/hu/man1/kill.1*
%lang(hu) %{_mandir}/hu/man1/logger.1*
%lang(hu) %{_mandir}/hu/man1/more.1*
%lang(hu) %{_mandir}/hu/man1/setterm.1*
%lang(hu) %{_mandir}/hu/man1/whereis.1*
%lang(hu) %{_mandir}/hu/man1/write.1*

%lang(hu) %{_mandir}/hu/man8/ctrlaltdel.8*
%lang(hu) %{_mandir}/hu/man8/fdformat.8*
%lang(hu) %{_mandir}/hu/man8/mkswap.8*

%lang(id) %{_mandir}/id/man1/cal.1*
%lang(id) %{_mandir}/id/man1/kill.1*
%lang(id) %{_mandir}/id/man1/logger.1*
%lang(id) %{_mandir}/id/man1/more.1*
%lang(id) %{_mandir}/id/man1/script.1*
%lang(id) %{_mandir}/id/man1/write.1*

%lang(id) %{_mandir}/id/man8/fdformat.8*

%lang(it) %{_mandir}/it/man1/arch.1*
%lang(it) %{_mandir}/it/man1/cal.1*
%lang(it) %{_mandir}/it/man1/kill.1*
%lang(it) %{_mandir}/it/man1/rename.1*
%lang(it) %{_mandir}/it/man1/rev.1*

%lang(it) %{_mandir}/it/man8/ctrlaltdel.8*
%lang(it) %{_mandir}/it/man8/dmesg.8*
%lang(it) %{_mandir}/it/man8/fdformat.8*
%lang(it) %{_mandir}/it/man8/ipcrm.8*
%lang(it) %{_mandir}/it/man8/ipcs.8*
%lang(it) %{_mandir}/it/man8/mkfs.8*
%lang(it) %{_mandir}/it/man8/mkswap.8*
%lang(it) %{_mandir}/it/man8/setsid.8*

%lang(ja) %{_mandir}/ja/man1/arch.1*
%lang(ja) %{_mandir}/ja/man1/cal.1*
%lang(ja) %{_mandir}/ja/man1/col.1*
%lang(ja) %{_mandir}/ja/man1/colcrt.1*
%lang(ja) %{_mandir}/ja/man1/colrm.1*
%lang(ja) %{_mandir}/ja/man1/column.1*
%lang(ja) %{_mandir}/ja/man1/ddate.1*
%lang(ja) %{_mandir}/ja/man1/getopt.1*
%lang(ja) %{_mandir}/ja/man1/hexdump.1*
%lang(ja) %{_mandir}/ja/man1/kill.1*
%lang(ja) %{_mandir}/ja/man1/line.1*
%lang(ja) %{_mandir}/ja/man1/logger.1*
%lang(ja) %{_mandir}/ja/man1/look.1*
%lang(ja) %{_mandir}/ja/man1/mcookie.1*
%lang(ja) %{_mandir}/ja/man1/more.1*
%lang(ja) %{_mandir}/ja/man1/namei.1*
%lang(ja) %{_mandir}/ja/man1/readprofile.1*
%lang(ja) %{_mandir}/ja/man1/rename.1*
%lang(ja) %{_mandir}/ja/man1/replay.1*
%lang(ja) %{_mandir}/ja/man1/rev.1*
%lang(ja) %{_mandir}/ja/man1/script.1*
%lang(ja) %{_mandir}/ja/man1/setterm.1*
%lang(ja) %{_mandir}/ja/man1/ul.1*
%lang(ja) %{_mandir}/ja/man1/whereis.1*
%lang(ja) %{_mandir}/ja/man1/write.1*

%lang(ja) %{_mandir}/ja/man8/ctrlaltdel.8*
%lang(ja) %{_mandir}/ja/man8/cytune.8*
%lang(ja) %{_mandir}/ja/man8/dmesg.8*
%lang(ja) %{_mandir}/ja/man8/elvtune.8*
%lang(ja) %{_mandir}/ja/man8/fdformat.8*
%lang(ja) %{_mandir}/ja/man8/ipcrm.8*
%lang(ja) %{_mandir}/ja/man8/ipcs.8*
%lang(ja) %{_mandir}/ja/man8/isosize.8*
%lang(ja) %{_mandir}/ja/man8/mkswap.8*
%lang(ja) %{_mandir}/ja/man8/renice.8*
%lang(ja) %{_mandir}/ja/man8/setfdprm.8*
%lang(ja) %{_mandir}/ja/man8/setsid.8*

%lang(ko) %{_mandir}/ko/man1/arch.1*
%lang(ko) %{_mandir}/ko/man1/cal.1*
%lang(ko) %{_mandir}/ko/man1/col.1*
%lang(ko) %{_mandir}/ko/man1/colcrt.1*
%lang(ko) %{_mandir}/ko/man1/colrm.1*
%lang(ko) %{_mandir}/ko/man1/column.1*
%lang(ko) %{_mandir}/ko/man1/ddate.1*
%lang(ko) %{_mandir}/ko/man1/getopt.1*
%lang(ko) %{_mandir}/ko/man1/hexdump.1*
%lang(ko) %{_mandir}/ko/man1/kill.1*
%lang(ko) %{_mandir}/ko/man1/logger.1*
%lang(ko) %{_mandir}/ko/man1/look.1*
%lang(ko) %{_mandir}/ko/man1/mcookie.1*
%lang(ko) %{_mandir}/ko/man1/more.1*
%lang(ko) %{_mandir}/ko/man1/namei.1*
%lang(ko) %{_mandir}/ko/man1/readprofile.1*
%lang(ko) %{_mandir}/ko/man1/rev.1*
%lang(ko) %{_mandir}/ko/man1/script.1*
%lang(ko) %{_mandir}/ko/man1/setterm.1*
%lang(ko) %{_mandir}/ko/man1/ul.1*
%lang(ko) %{_mandir}/ko/man1/whereis.1*
%lang(ko) %{_mandir}/ko/man1/write.1*

%lang(ko) %{_mandir}/ko/man8/ctrlaltdel.8*
%lang(ko) %{_mandir}/ko/man8/dmesg.8*
%lang(ko) %{_mandir}/ko/man8/fdformat.8*
%lang(ko) %{_mandir}/ko/man8/ipcrm.8*
%lang(ko) %{_mandir}/ko/man8/ipcs.8*
%lang(ko) %{_mandir}/ko/man8/mkswap.8*
%lang(ko) %{_mandir}/ko/man8/renice.8*
%lang(ko) %{_mandir}/ko/man8/setfdprm.8*
%lang(ko) %{_mandir}/ko/man8/setsid.8*

%lang(nl) %{_mandir}/nl/man1/kill.1*

%lang(pl) %{_mandir}/pl/man1/arch.1*
%lang(pl) %{_mandir}/pl/man1/cal.1*
%lang(pl) %{_mandir}/pl/man1/col.1*
%lang(pl) %{_mandir}/pl/man1/colcrt.1*
%lang(pl) %{_mandir}/pl/man1/colrm.1*
%lang(pl) %{_mandir}/pl/man1/getopt.1*
%lang(pl) %{_mandir}/pl/man1/hexdump.1*
%lang(pl) %{_mandir}/pl/man1/kill.1*
%lang(pl) %{_mandir}/pl/man1/look.1*
%lang(pl) %{_mandir}/pl/man1/logger.1*
%lang(pl) %{_mandir}/pl/man1/more.1*
%lang(pl) %{_mandir}/pl/man1/rev.1*
%lang(pl) %{_mandir}/pl/man1/script.1*
%lang(pl) %{_mandir}/pl/man1/setterm.1*
%lang(pl) %{_mandir}/pl/man1/ul.1*
%lang(pl) %{_mandir}/pl/man1/whereis.1*
%lang(pl) %{_mandir}/pl/man1/write.1*

%lang(pl) %{_mandir}/pl/man8/ctrlaltdel.8*
%lang(pl) %{_mandir}/pl/man8/dmesg.8*
%lang(pl) %{_mandir}/pl/man8/fdformat.8*
%lang(pl) %{_mandir}/pl/man8/ipcrm.8*
%lang(pl) %{_mandir}/pl/man8/ipcs.8*
%lang(pl) %{_mandir}/pl/man8/mkswap.8*
%lang(pl) %{_mandir}/pl/man8/renice.8*
%lang(pl) %{_mandir}/pl/man8/setfdprm.8*

%dir %{_examplesdir}/getopt
%attr(755,root,root) %{_examplesdir}/getopt/*

%attr(755,root,root) /sbin/fdisk
%attr(755,root,root) /sbin/fsck.minix
%attr(755,root,root) /sbin/mkfs.minix
%ifnarch sparc sparc64
%{!?with_uClibc:%attr(755,root,root) /sbin/cfdisk}
%attr(755,root,root) /sbin/sfdisk
%endif

%{_mandir}/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%{_mandir}/man8/cfdisk.8*}
%{_mandir}/man8/sfdisk.8*
%endif
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.bfs.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.8*

%lang(es) %{_mandir}/es/man8/fdisk.8*
%lang(es) %{_mandir}/es/man8/fsck.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.8*

%lang(fr) %{_mandir}/fr/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(fr) %{_mandir}/fr/man8/cfdisk.8*}
%lang(fr) %{_mandir}/fr/man8/sfdisk.8*
%endif
%lang(fr) %{_mandir}/fr/man8/mkfs.minix.8*
%lang(fr) %{_mandir}/fr/man8/mkfs.8*

%lang(hu) %{_mandir}/hu/man8/mkfs.8*

%lang(it) %{_mandir}/it/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(it) %{_mandir}/it/man8/cfdisk.8*}
%endif

%lang(ja) %{_mandir}/ja/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(ja) %{_mandir}/ja/man8/cfdisk.8*}
%lang(ja) %{_mandir}/ja/man8/sfdisk.8*
%endif
%lang(ja) %{_mandir}/ja/man8/fsck.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.bfs.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.8*

%lang(ko) %{_mandir}/ko/man8/fdisk.8*
%lang(ko) %{_mandir}/ko/man8/fsck.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.8*

%lang(pl) %{_mandir}/pl/man8/fdisk.8*
%lang(pl) %{_mandir}/pl/man8/fsck.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.8*

%{!?with_uClibc:%attr(755,root,root) /sbin/fsck.cramfs}
%{!?with_uClibc:%attr(755,root,root) /sbin/mkfs.cramfs}
%attr(755,root,root) /sbin/mkfs.bfs

%attr(755,root,root) %{_bindir}/cytune

%ifarch %{ix86}
%attr(755,root,root) %{_sbindir}/ramsize
%attr(755,root,root) %{_sbindir}/rdev
%attr(755,root,root) %{_sbindir}/rootflags
%attr(755,root,root) %{_sbindir}/vidmode

%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/rootflags.8*
%{_mandir}/man8/vidmode.8*

%lang(de) %{_mandir}/de/man8/ramsize.8*
%lang(de) %{_mandir}/de/man8/rdev.8*
%lang(de) %{_mandir}/de/man8/rootflags.8*
%lang(de) %{_mandir}/de/man8/vidmode.8*

%lang(es) %{_mandir}/es/man8/ramsize.8*
%lang(es) %{_mandir}/es/man8/rdev.8*
%lang(es) %{_mandir}/es/man8/rootflags.8*
%lang(es) %{_mandir}/es/man8/vidmode.8*

%lang(ja) %{_mandir}/ja/man8/ramsize.8*
%lang(ja) %{_mandir}/ja/man8/rdev.8*
%lang(ja) %{_mandir}/ja/man8/rootflags.8*
%lang(ja) %{_mandir}/ja/man8/vidmode.8*

%lang(ko) %{_mandir}/ko/man8/ramsize.8*
%lang(ko) %{_mandir}/ko/man8/rdev.8*
%lang(ko) %{_mandir}/ko/man8/rootflags.8*
%lang(ko) %{_mandir}/ko/man8/vidmode.8*

%lang(pl) %{_mandir}/pl/man8/ramsize.8*
%lang(pl) %{_mandir}/pl/man8/rdev.8*
%lang(pl) %{_mandir}/pl/man8/rootflags.8*
%lang(pl) %{_mandir}/pl/man8/vidmode.8*
%endif

%{_infodir}/ipc*

%ghost /var/lock/wtmpxlock

%files -n blockdev
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/blockdev
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/blockdev
%attr(755,root,root) /sbin/blockdev
%{_mandir}/man8/blockdev.8*
%lang(ja) %{_mandir}/ja/man8/blockdev.8*

%files -n mount
%defattr(644,root,root,755)

%attr(4755,root,root) /bin/mount
%attr(4755,root,root) /bin/umount
%attr(755,root,root) /sbin/pivot_root
%attr(755,root,root) /sbin/swapon
%attr(755,root,root) /sbin/swapoff

%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*

%{_mandir}/man8/mount.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/swapoff.8*

%lang(cs) %{_mandir}/cs/man5/fstab.5*

%lang(de) %{_mandir}/de/man5/fstab.5*
%lang(de) %{_mandir}/de/man5/nfs.5*

%lang(es) %{_mandir}/es/man5/fstab.5*
%lang(es) %{_mandir}/es/man5/nfs.5*

%lang(es) %{_mandir}/es/man8/mount.8*
%lang(es) %{_mandir}/es/man8/umount.8*
%lang(es) %{_mandir}/es/man8/swapon.8*
%lang(es) %{_mandir}/es/man8/swapoff.8*

%lang(fr) %{_mandir}/fr/man5/fstab.5*
%lang(fr) %{_mandir}/fr/man5/nfs.5*

%lang(fr) %{_mandir}/fr/man8/mount.8*
%lang(fr) %{_mandir}/fr/man8/umount.8*

%lang(hu) %{_mandir}/hu/man5/fstab.5*

%lang(hu) %{_mandir}/hu/man8/mount.8*
%lang(hu) %{_mandir}/hu/man8/umount.8*

%lang(it) %{_mandir}/it/man5/fstab.5*
%lang(it) %{_mandir}/it/man5/nfs.5*

%lang(it) %{_mandir}/it/man8/mount.8*
%lang(it) %{_mandir}/it/man8/umount.8*
%lang(it) %{_mandir}/it/man8/swapon.8*
%lang(it) %{_mandir}/it/man8/swapoff.8*

%lang(ja) %{_mandir}/ja/man5/fstab.5*
%lang(ja) %{_mandir}/ja/man5/nfs.5*

%lang(ja) %{_mandir}/ja/man8/mount.8*
%lang(ja) %{_mandir}/ja/man8/umount.8*
%lang(ja) %{_mandir}/ja/man8/pivot_root.8*
%lang(ja) %{_mandir}/ja/man8/swapon.8*
%lang(ja) %{_mandir}/ja/man8/swapoff.8*

%lang(ko) %{_mandir}/ko/man5/fstab.5*
%lang(ko) %{_mandir}/ko/man5/nfs.5*

%lang(ko) %{_mandir}/ko/man8/mount.8*
%lang(ko) %{_mandir}/ko/man8/umount.8*
%lang(ko) %{_mandir}/ko/man8/swapon.8*
%lang(ko) %{_mandir}/ko/man8/swapoff.8*

%lang(pl) %{_mandir}/pl/man5/fstab.5*
%lang(pl) %{_mandir}/pl/man5/nfs.5*

%lang(pl) %{_mandir}/pl/man8/mount.8*
%lang(pl) %{_mandir}/pl/man8/umount.8*
%lang(pl) %{_mandir}/pl/man8/swapon.8*
%lang(pl) %{_mandir}/pl/man8/swapoff.8*

%files -n losetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/losetup

%{_mandir}/man8/losetup.8*
%lang(fr) %{_mandir}/fr/man8/losetup.8*
%lang(it) %{_mandir}/it/man8/losetup.8*
%lang(ja) %{_mandir}/ja/man8/losetup.8*
%lang(ko) %{_mandir}/ko/man8/losetup.8*
%lang(pl) %{_mandir}/pl/man8/losetup.8*

%files chkdupexe
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkdupexe

%{_mandir}/man1/chkdupexe.1*
%lang(ja) %{_mandir}/ja/man1/chkdupexe.1*
%lang(ko) %{_mandir}/ko/man1/chkdupexe.1*
%lang(pl) %{_mandir}/pl/man1/chkdupexe.1*

%files -n tunelp
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tunelp

%{_mandir}/man8/tunelp.8*
%lang(es) %{_mandir}/es/man8/tunelp.8*
%lang(ja) %{_mandir}/ja/man8/tunelp.8*
%lang(pl) %{_mandir}/pl/man8/tunelp.8*

%if !%{with uClibc}
%files -n login
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/login
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.login
%attr(755,root,root) /bin/login

%{_mandir}/man1/login.1*
%lang(de) %{_mandir}/de/man1/login.1*
%lang(es) %{_mandir}/es/man1/login.1*
%lang(hu) %{_mandir}/hu/man1/login.1*
%lang(id) %{_mandir}/id/man1/login.1*
%lang(it) %{_mandir}/it/man1/login.1*
%lang(ja) %{_mandir}/ja/man1/login.1*
%lang(ko) %{_mandir}/ko/man1/login.1*
%lang(pl) %{_mandir}/pl/man1/login.1*
%endif

%files -n agetty
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/agetty

%{_mandir}/man8/agetty.8*
%lang(es) %{_mandir}/es/man8/agetty.8*
%lang(ja) %{_mandir}/ja/man8/agetty.8*

%if !%{with uClibc}
%files -n rawdevices
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/raw
%attr(754,root,root) /etc/rc.d/init.d/rawdevices
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rawdevices

%{_mandir}/man8/raw.8*
%lang(ja) %{_mandir}/ja/man8/raw.8*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: util-linux.spec,v $
Revision 1.282.2.5  2008/07/22 22:38:17  adamg
- -umount-sparc.patch (buildfix for sparc)

Revision 1.282.2.4  2008/07/22 16:09:15  adamg
- lseek.patch; release 10

Revision 1.282.2.3  2008/07/22 06:50:53  adamg
- release 9 (rebuild against device-mapper-1.02.23)

Revision 1.282.2.2  2007/10/19 10:19:49  glen
- fix for CVE-2007-5191; rel 8

Revision 1.282.2.1  2007/05/25 11:03:21  kosmo
- added support for ESSIV encryption.
- use "-o encryption=<cipher>-cbc-essiv@<hash>:<keysize>:..."

Revision 1.282  2006/12/07 20:58:02  glen
- rel 6, improved blockdev initscript

Revision 1.281  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.280  2006/11/03 22:52:00  zbyniu
- bcond without selinux added

Revision 1.279  2006/10/20 09:19:42  glen
- rel 5

Revision 1.278  2006/10/19 12:18:03  glen
- R: coreutils in blockdev

Revision 1.277  2006/08/02 00:50:59  sparky
- sed 2 patch

Revision 1.276  2006/07/31 22:27:07  sparky
- as-needed fix: link with both -lncurses -ltinfo

Revision 1.275  2006/02/08 16:48:03  glen
- fixed broken upgrade; use %service; rel 4, STBR

Revision 1.274  2006/02/03 21:09:44  sparky
- kill urls in cvs sources

Revision 1.273  2006/01/03 10:54:10  qboosh
- pl for blockdev

Revision 1.272  2006/01/03 10:46:31  glen
- separated blockdev; rel 3

Revision 1.271  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.270  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.269  2005/11/27 22:59:36  charles
- R(post,preun): /sbin/chkconfig (blockdev)

Revision 1.268  2005/11/15 12:10:32  arekm
- rel 2

Revision 1.267  2005/11/05 17:54:27  qboosh
- sorted verify() flags

Revision 1.266  2005/11/05 14:23:39  arekm
- package scripts

Revision 1.265  2005/11/05 14:22:12  arekm
- scripts for setting blockdev parameters

Revision 1.264  2005/10/06 11:12:34  qboosh
- updated to 2.12r (really fixes CAN-2005-2876 by disallowing user remounts)

Revision 1.263  2005/09/23 10:46:26  charles
- integer release (with new patches) - rel. 4 is broken
- STBR

Revision 1.262  2005/09/22 22:34:40  glen
- add more patches from gentoo that hawk proposed

Revision 1.261  2005/09/21 17:06:55  glen
- CAN-2005-2876; rel 4

Revision 1.260  2005/09/12 21:14:05  glen
- added mount --move patch. tested. works for me. rel 3; STBR

Revision 1.259  2005/05/27 14:38:01  arekm
- add nfs4 patches

Revision 1.258  2005/05/24 23:53:24  pluto
- gcc4 fix.

Revision 1.257  2005/05/12 13:18:39  baggins
- release 2
- req pam 0.79

Revision 1.256  2005/02/27 19:10:58  arekm
- bcond dropped

Revision 1.255  2005/02/27 19:08:50  arekm
- up to 2.12q

Revision 1.254  2005/02/17 00:53:19  gj
- fix race cond in fdisk-sunlabel, causing in some cases new created label NOT be saved on the media.
- Btw, can someone finally do 2 things:
  - upgrade trunk util-linu to 2.12q
  - add this letter at the end of version number. It is important!
  Thank you.

Revision 1.253  2005/01/08 12:26:34  mmazur
- util-linux switched to a new maintainer and is now available from
  ftp.kernel.org

Revision 1.252  2004/12/31 02:41:49  ankry
- fixed Rs, rel. 15

Revision 1.251  2004/12/30 10:21:31  ankry
- added blocker

Revision 1.250  2004/12/27 15:23:33  qboosh
- noted URL to new versions

Revision 1.249  2004/12/27 15:06:30  krzak
- managed.patch allow to use option "managed" and "kudzu" in mount options
- rel 14

Revision 1.248  2004/12/03 18:32:12  glen
- fix selinux bcond

Revision 1.247  2004/11/18 22:15:23  glen
- added selinux bcond

Revision 1.246  2004/11/16 12:44:43  wrobell
- rel. 13

Revision 1.245  2004/10/28 13:12:05  areq
- BR cryptsetup-devel

Revision 1.244  2004/10/24 15:59:35  wrobell
- cryptoloop is removed from kernel, use dm_crypt instead of it:
    http://article.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/34
- WARNING: mount command depends on libraries in /usr/lib, now
  do not send this revision to builders!

Revision 1.243  2004/09/25 11:56:15  blues
- TODO added

Revision 1.242  2004/08/04 17:34:25  qboosh
- killed losetup bugs in dev_t and crypto-debian patches; release 12

Revision 1.241  2004/02/26 15:55:01  qboosh
- updated selinux patch, release 11

Revision 1.240  2004/02/23 22:15:03  qboosh
- restored original fixes from blk patch to work not only with llh
- removed newgrp once again (this version doesn't even support gshadow; use
  pwdutils/shadow instead)
- release 10

Revision 1.239  2004/01/23 12:55:13  qboosh
- rm files unwanted only on some archs too

Revision 1.238  2004/01/23 12:48:26  qboosh
- updated non-english-man-pages
- rm unwanted files for clean build
- release 9

Revision 1.237  2004/01/22 09:12:40  qboosh
- newgrp was in shadow-extras, not shadow - fixed Conflicts; release 8

Revision 1.236  2004/01/21 21:59:01  qboosh
- really added newgrp utility
- added sg links to newgrp (as they were in shadow)
- Conflicts with shadow with newgrp, release 7

Revision 1.235  2004/01/08 11:45:13  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.234  2003/12/28 00:10:05  qboosh
- added blk patch for broken BLK* ioctls definitions
- added io patch to use proper io.h on x86
- new-style bcond

Revision 1.233  2003/12/27 00:11:00  arekm
- added selinux patch

Revision 1.232  2003/12/19 13:38:28  jajcus
- use glibc definition of dev_t, not kernel one. Someone has to check if this doesn't break anything

Revision 1.231  2003/12/10 17:27:45  arekm
- added crypto changes from debian

Revision 1.230  2003/11/16 14:35:31  arekm
- fix fdisk on amd64 and check /{usr/,}lib64 in whereis

Revision 1.229  2003/10/20 20:11:16  qboosh
- no kernel-dependent crypto patches now, so removed kernel-dependent releases

Revision 1.228  2003/10/13 00:06:46  wrobell
- changelog cut

Revision 1.227  2003/10/13 00:04:51  wrobell
- removed out of date crypto api patches - basic functionality
  exists in util linux;
  if one wants crypted loop device, then the patch is required:
      http://www.kernel.org/pub/linux/kernel/people/hvr/testing/patch-cryptoloop-hvr-2.4.22.0
  _before_ _adding_ more crypto patches (i.e. keybits option or sth.) please
  read
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00002.html
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00009.html
  then let's discuss the issues on pld-devel;
  BTW. i have extracted crypto api patches from debian if someone is
  interested in

Revision 1.226  2003/10/11 17:26:03  wrobell
- let's leave it in this state...

Revision 1.225  2003/10/11 17:10:22  wrobell
- specified patches should be included, it will be reviewed later, NFY

Revision 1.224  2003/10/11 17:06:15  wrobell
- mount symlink problem fixed in 2.12, I hope, so patch removed (areq?)
- fix Release tags madness
- removed 2.2.x kernel support (use ra branch, please)
- some crypto api stuff is integrated with util-linux, but more work
  is required to finish it, so NFY
- rel. 4

Revision 1.223  2003/10/11 15:26:25  wrobell
- ver. 2.12 (final)
- switch to maintainer's ftp site

Revision 1.222  2003/10/11 15:14:26  wrobell
- clean release mess

Revision 1.221  2003/09/26 14:26:06  baggins
- release 1

Revision 1.220  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.219  2003/08/31 17:48:27  mmazur
- rel 3 for ac

Revision 1.218  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.217  2003/08/22 15:20:15  qboosh
- verify flags for configs

Revision 1.216  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.215  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.214  2003/08/20 10:19:57  areq
- add mount-2.12pre-symlink_20030809.diff patch
  http://panopticon.csustan.edu/thood/readonly-root.html

Revision 1.213  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.212  2003/08/14 22:01:00  ankry
- sorted descriptions

Revision 1.211  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.210  2003/08/03 21:22:19  grzegol
- updated to 2.12pre
- updated %files (added tailf)

Revision 1.209  2003/06/26 21:15:23  mmazur
- added no_multiline patch... needed for gettext in gcc33

Revision 1.208  2003/06/23 22:42:31  undefine
- don't build sfdisk and cfdisk on sparc (bigendian problems)
- release 2

Revision 1.207  2003/06/14 16:13:52  undefine
- build cfdisk and sfdisk on sparc too. Why it was disabled by default???

Revision 1.206  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.205  2003/05/25 11:01:16  malekith
- massive attack, adding Source-md5

Revision 1.204  2003/05/25 06:27:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.203  2003/05/22 21:58:43  malekith
- got rid of those BOOT bconds; it wasn't used for ages

Revision 1.202  2003/05/22 21:57:37  malekith
- fix uClibc build

Revision 1.201  2003/03/31 08:38:13  wiget
- reverted

Revision 1.200  2003/03/31 08:07:51  wiget
- errno.patch
- release 2
